Runtime

## org.eclipse.gmf.runtime.diagram.ui.figures
Interface ICanonicalShapeCompartmentLayout

All Superinterfaces:
  LayoutManager

All Known Implementing Classes:
  CanonicalShapeCompartmentLayout

public interface ICanonicalShapeCompartmentLayout
extends LayoutManager

Layout figures who's position is undefined. This interface guarantees implementations access to the [figure,editpart] registry map.

See Also:
  `CanonicalShapeCompartmentLayout`

Field Summary
`static Rectangle` `UNDEFINED` Constant that represetns an undefined element.

Method Summary
`java.util.Map` `getVisualPartMap()` Return the [figure, editpart] map.
`void` `layoutUndefinedChildren(IFigure parent)` Layout the supplied parent's children whose position is equal to `ICanonicalShapeCompartmentLayout.UNDEFINED`.
`void` `setVisualPartMap(java.util.Map map)` Set the [figure, editpart] map.

Methods inherited from interface org.eclipse.draw2d.LayoutManager
`getConstraint, getMinimumSize, getPreferredSize, invalidate, layout, remove, setConstraint`

Field Detail

### UNDEFINED

    public static final Rectangle UNDEFINED

  Constant that represetns an undefined element.

Method Detail

### setVisualPartMap

    public void setVisualPartMap(java.util.Map map)

  Set the [figure, editpart] map.

  Parameters:
    `map` - to set
  See Also:
    `EditPartViewer.getVisualPartMap()`

### getVisualPartMap

    public java.util.Map getVisualPartMap()

  Return the [figure, editpart] map.

  Returns:
    `Map`
  See Also:
    `EditPartViewer.getVisualPartMap()`

### layoutUndefinedChildren

    public void layoutUndefinedChildren(IFigure parent)

  Layout the supplied parent's children whose position is equal to `ICanonicalShapeCompartmentLayout.UNDEFINED`.

  Parameters:
    `parent` - the containing figure.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.